### Enumeration

# GUsb DeviceRequestType

#### Declaration

    enum GUsb.DeviceRequestType

#### Description

The message request type.

#### Members

`G_USB_DEVICE_REQUEST_TYPE_STANDARD`

  No description available.

  - Value: `0`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_CLASS`

  No description available.

  - Value: `1`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_VENDOR`

  No description available.

  - Value: `2`
  - Available since: 1.0
`G_USB_DEVICE_REQUEST_TYPE_RESERVED`

  No description available.

  - Value: `3`
  - Available since: 1.0